debian下编译pidgin2.4.0

edited on March 7, 2008 3:50 PM, 这篇文章是在服务器down掉的日子里写在google doc里的.

终于在debian下成功编译了pidgin2.4.0,简单记录一下.

多数情况下编译不成功或者不能编译都是因为缺少库文件, 下面是编译pidgin2.4.0用到的库,我的debian版本是4.*

  • gcc
  • autoconf
  • gdb
  • automake1.9

  • libgtk2.0-dev

  • libxml2-dev
  • gettext
  • libnss3-dev
  • libnspr4-dev
  • build-essential
  • libxml-parser-perl
  • libglib2.0-dev
  • libglib2.0-dev
  • libgstreamer0.10-dev
  • libnss-dev(用来解决msn的ssl支持问题)

然后
./configure make make install

后记: 刚刚用linux的时候在网上找编译相关的教程, 一个网友说解决编译失败最简单的方法是把光盘中全部的库都装上… 不过由于我比较懒, 并没有那么长时间来试.